#{extends 'border.html'/}
<div class="container">
#{form @admin.UserCtr.editSubmit(), method:'POST', class:'form-horizontal', name:'userEditForm', id:'userEditForm'}
    <input type="hidden" name="length" value="10">
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{admin.UserCtr.index()}">&{'pengguna.label'}</a></li>
                <li class="active">&{'ubah.label'} &{'pengguna.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton /}
				#{saveButton /}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="message-container">

            </div>
            <div class="panel panel-default">
                <div class="panel-body">
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active"><a href="#form-user" aria-controls="group-role" role="tab" data-toggle="tab">&{'form_pengguna.label'}</a></li>
                        <li role="presentation"><a href="#role" aria-controls="role" role="tab" data-toggle="tab">&{'peran.label'}</a></li>
                        <li role="presentation"><a href="#komoditas" aria-controls="komoditas" role="tab" data-toggle="tab">&{'komoditas.label'}</a></li>
                        <li role="presentation"><a href="#paket" aria-controls="paket" role="tab" data-toggle="tab">&{'paket.label'}</a></li>
                    </ul>

                    <div class="tab-content">
                        <!-- Form Form User -->
                        <div role="tabpanel" class="tab-pane active" id="form-user">
                            <input value="${user?.id}" type="hidden" name="user.id">
                            #{include 'pl/form-user/tab-data-user.html'/}
                        </div>
                        <!-- End Form User -->

                        <!-- Form Role -->
                        <div role="tabpanel" class="tab-pane" id="role">
                            #{include 'pl/form-user/tab-role.html'/}
                        </div>
                        <!-- End Form Role -->

                        <!-- Form Komoditas -->
                        <div role="tabpanel" class="tab-pane" id="komoditas">
                            #{include 'pl/form-user/tab-komoditas.html'/}
                        </div>
                        <!-- End Form Komoditas -->

                        <!-- Form Paket -->
                        <div role="tabpanel" class="tab-pane" id="paket">
                            #{include 'pl/form-user/tab-paket.html'/}
                        </div>
                        *{<!-- Modal -->
                        <div class="modal fade" id="daftarPaket" tabindex="-1" role="dialog" aria-labelledby="modalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h5 class="modal-title" id="modalLabel">Daftar Paket</h5>
                                    </div>
                                    <div class="modal-body">
                                        <div class="col-md-12">
                                            <form class="form-horizontal">
                                                <div class="form-group">
                                                    <label class="control-label">Komoditas</label>
                                                    <select class="form-control">
                                                        <option>Select All</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <button class="btn btn-sm btn-primary">Cari Paket</button>
                                                </div>
                                            </form>
                                            <table class="table table-condensed" id="tblUserRole">
                                                <thead>
                                                <th>Paket</th>
                                                </thead>
                                            </table>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="panel panel-danger">
                                                <div class="panel-heading">
                                                    Daftar Paket Terpilih
                                                </div>
                                                <div class="panel-body">

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-primary">Simpan</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- End Modal -->
                        <!-- End Form Paket -->}*
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

<script type="application/javascript">
    function randomPassword(length) {
        var chars = "abcdefghijklmnopqrstuvwxyz!@#$%^&*()-+<>ABCDEFGHIJKLMNOP1234567890";
        var pass = "";
        for (var x = 0; x < length; x++) {
            var i = Math.floor(Math.random() * chars.length);
            pass += chars.charAt(i);
        }
        return pass;
    }

    function generate() {
        let length = userEditForm.length.value;
        let pwd = randomPassword(length);
        $("#user_password").val(pwd);
    }

</script>
#{validationPackage /}
#{set 'moreScripts'}
<script type="text/javascript">
    $("#userEditForm").validate({
        ignore: ""
    });

    var params = {};
    params['searchUrl'] = '@{purchasing.PaketCtr.searchPackages()}';
    var paket_ids = ${paketIds != null ? paketIds : []};


    jQuery(document).ready(function() {
        loadKldi();
        getKldi();
        jQuery(function () {
            jQuery.getScript('/public/javascripts/user/user.js');
        });

        jQuery(function () {
            jQuery.getScript('/public/javascripts/paket/searchpackage.js');
        });

        $("body").on("click", "#generate-password-btn", generate);

        $('.form-checkbox').click(function(){
            if($(this).is(':checked')){
                $('.form-password').attr('type','text');
            }else{
                $('.form-password').attr('type','password');
            }
        });
    });

    function loadKldi() {
        var kat = $('#kategoriKomoditas').find('option:selected').text();
        if (kat == 'Lokal' || kat == 'Sektoral') {
            $('#selectKldi').show();
            $(document).ajaxStart(function () {
                $.showLoading();
            });
            $.ajax({
                url: "@{controllers.admin.KomoditasCtr.getKldi()}",
                data: {
                    param: kat
                },
                dataType: 'json',
                success: function (res) {
                    // console.log(res);
                    $("#kldi").empty();
                    var selected = '${user.kldi_id}';
                    for (var i = 0; i < res.length; i++) {
                        var obj = res[i];
                        if (selected == obj.id) {
                            $("#kldi").append(new Option(obj.nama, obj.id, true, true));
                        } else {
                            $("#kldi").append(new Option(obj.nama, obj.id));
                        }
                    }
                }
            });
            $(document).ajaxComplete(function () {
                $.hideLoading();
            });
        } else {
            $('#selectKldi').hide();
        }
    }

    function getKldi() {
        $('#kategoriKomoditas').on('change', function() {
            if(this.value == 'lokal' || this.value == 'sektoral') {
                $('#selectKldi').show();
                $(document).ajaxStart(function(){$.showLoading();});
                $.ajax({
                    url: "@{controllers.admin.KomoditasCtr.getKldi()}",
                    data: {
                        param: this.value
                    },
                    dataType: 'json',
                    success: function (res) {
                        // console.log(res);
                        $("#kldi").empty();

                        for (var i = 0; i < res.length; i++) {
                            var obj = res[i];
                            $("#kldi").append(new Option(obj.nama, obj.id));
                        }
                    }
                });
                $(document).ajaxComplete(function(){$.hideLoading();});
            } else{
                $('#selectKldi').hide();
            }
        });
    }
</script>
#{/set}